View Issue Details

IDProjectCategoryView StatusLast Update
0006410Multi Theft Auto : San AndreasServerpublic2011-11-10 12:46
ReporterWoetAssigned Toccw 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target Version1.1.1 R2Fixed in Version1.1.1 R2 
Summary0006410: Segmentation fault with latest MTA 1.1
Description

Latest MTA 1.1 Linux server crashes with Segmentation fault on default config and resources.
Using Debian Lenny 5.0.8, 32 bit, libc version 2.7-18lenny.

Steps To Reproduce

1) Download the server
2) Download the resources and config
3) Run the server

Additional Information

[New Thread 0xb7e58b90 (LWP 6815)]
[Thread 0xb7e58b90 (LWP 6815) exited]
[New Thread 0xb7457b90 (LWP 6817)]
[Thread 0xb7457b90 (LWP 6817) exited]
[New Thread 0xb7457b90 (LWP 6819)]
[New Thread 0xb7e58b90 (LWP 6820)]
[New Thread 0xb6a56b90 (LWP 6821)]
[New Thread 0xb6055b90 (LWP 6822)]
[New Thread 0xb5654b90 (LWP 6823)]
[New Thread 0xb4c53b90 (LWP 6824)]
[New Thread 0xb4252b90 (LWP 6825)]
[New Thread 0xb3851b90 (LWP 6826)]
[New Thread 0xb2e21b90 (LWP 6909)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0xb2e21b90 (LWP 6909)]
0x4f461200 in ?? ()
(gdb) bt
#0 0x4f461200 in ?? ()
#1 0x001d23e9 in UpdateNetworkLoop () from /home/xxx/multitheftauto_linux-1.1/net.so
#2 0x004c84c0 in start_thread () from /lib/i686/cmov/libpthread.so.0
#3 0x00d8e84e in clone () from /lib/i686/cmov/libc.so.6
(gdb)

TagsNo tags attached.

Activities

Woet

2011-08-26 12:14

viewer   ~~0014470

Same issue with the nightly:
http://nightly.mtasa.com/multitheftauto_linux-1.1-rc-3046-net1BE.tar.gz

[New Thread 0xb7e3ab90 (LWP 27415)]
[Thread 0xb7e3ab90 (LWP 27415) exited]
[New Thread 0xb7439b90 (LWP 27416)]
[Thread 0xb7439b90 (LWP 27416) exited]
[New Thread 0xb7439b90 (LWP 27418)]
[New Thread 0xb7e3ab90 (LWP 27420)]
[New Thread 0xb6a38b90 (LWP 27421)]
[New Thread 0xb6037b90 (LWP 27422)]
[New Thread 0xb5636b90 (LWP 27423)]
[New Thread 0xb4c35b90 (LWP 27425)]
[New Thread 0xb4234b90 (LWP 27429)]
[New Thread 0xb3833b90 (LWP 27430)]
[New Thread 0xb2e03b90 (LWP 27491)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0xb2e03b90 (LWP 27491)]
0x4f461200 in ?? ()
(gdb) bt
#0 0x4f461200 in ?? ()
#1 0x003ac3e9 in UpdateNetworkLoop () from /home/saurserver/multitheftauto_linux-1.1-rc-3046-net1BE/net.so
#2 0x002714c0 in start_thread () from /lib/i686/cmov/libpthread.so.0
#3 0x001f084e in clone () from /lib/i686/cmov/libc.so.6
(gdb)

qaisjp

2011-08-26 13:52

administrator   ~~0014473

Is this the same error that made the server restart over and over again on serverFFS?

PhatLooser

2011-09-03 12:14

reporter   ~~0014648

Have you checked if its a broken/missing packet issue?
Currently I am searching through the Linux dependencies.

jackson11

2011-09-23 11:10

viewer   ~~0014872

Last edited: 2011-09-23 11:11

Try with MTA 1.1.1 server.Its new update.I think this thing has been fixed in that.

iweriwo

2011-10-02 21:17

viewer   ~~0015012

Last edited: 2011-10-02 21:19

Hello,

i get this error also on following distributions:

-> Ubuntu 32 bit
-> Debian 5.0 32/64 bit
-> Debian 6.0 64 bit

Strace Logfile: https://rapidshare.com/files/2919125735/mta.log with 1.1.1
(File to bigfor pastebin sorry)
and here with 1.0.5 https://rapidshare.com/files/1827225515/mta_105.log

1.0.5 works correctly!

Picard

2011-10-02 22:56

updater   ~~0015014

Issue automatically marked as fixed by mantisbot ( Fixed in http://code.google.com/p/mtasa-blue/source/detail?r=3258 )

PhatLooser

2011-11-10 12:46

reporter   ~~0015221

Last edited: 2011-11-10 12:46

The error came back:

2.#0 0xf7146065 in ProcessOfflineNetworkPacket ()ady.

  1. from /emul/ia32-linux/mta-servers/DgtPuma/net.so
    4.#1 0xf71470ff in ProcessNetworkPacket ()
  2. from /emul/ia32-linux/mta-servers/DgtPuma/net.souma/mta-server
    6.#2 0xf7147e5e in RakPeer::RunUpdateCycle ()
  3. from /emul/ia32-linux/mta-servers/DgtPuma/net.so
    8.#3 0xf714ad11 in UpdateNetworkLoop ()
  4. from /emul/ia32-linux/mta-servers/DgtPuma/net.so
    10.#4 0xf7495195 in start_thread () from /lib32/libpthread.so.0
    11.#5 0xf7582fee in clone () from /lib32/libc.so.6

Or isn't it the same? Both happen in "clone()".

Issue History

Date Modified Username Field Change